gstreamermm: Gst::InputSelector Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::InputSelector Class Reference
gstreamermm Plugins

A Wrapper for the input-selector plugin. More...

Inheritance diagram for Gst::InputSelector:
[legend]
Collaboration diagram for Gst::InputSelector:
[legend]

List of all members.

## Public Member Functions
virtual | ~InputSelector ()
GstInputSelector* | gobj ()
| Provides access to the underlying C GObject.
const GstInputSelector* | gobj () const
| Provides access to the underlying C GObject.
GstInputSelector* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
gint64 | block ()
| This is a convenience method for the action signal signal_block().
Glib::PropertyProxy_ReadOnly < guint > | property_n_pads () const
| The number of sink pads.
Glib::PropertyProxy < Glib::RefPtr< Gst::Pad > > | property_active_pad ()
| The currently active sink pad.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Pad > > | property_active_pad () const
| The currently active sink pad.
Glib::PropertyProxy< bool > | property_sync_streams ()
| Synchronize inactive streams to the running time of the active stream.
Glib::PropertyProxy_ReadOnly < bool > | property_sync_streams () const
| Synchronize inactive streams to the running time of the active stream.
Glib::SignalProxy0< gint64 > | signal_block ()
| This is an action signal which is designed to be used as a method.
Glib::SignalProxy3< void, const Glib::RefPtr< Gst::Pad > &, gint64, gint64 > | signal_switch ()
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr < InputSelector > | create ()
| Creates a new input-selector plugin with a unique name.
static Glib::RefPtr < InputSelector > | create (const Glib::ustring& name)
| Creates a new input-selector plugin with the given name.
## Protected Member Functions
| InputSelector ()
| InputSelector (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::InputSelector > | wrap (GstInputSelector* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the input-selector plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::InputSelector::~InputSelector | ( |  | ) | `[virtual]`

Gst::InputSelector::InputSelector | ( |  | ) | `[protected]`

Gst::InputSelector::InputSelector | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

gint64 Gst::InputSelector::block | ( |  | ) |

This is a convenience method for the action signal signal_block().

static Glib::RefPtr<InputSelector> Gst::InputSelector::create | ( |  | ) | `[static]`

Creates a new input-selector plugin with a unique name.

static Glib::RefPtr<InputSelector> Gst::InputSelector::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new input-selector plugin with the given name.

static GType Gst::InputSelector::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstInputSelector* Gst::InputSelector::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstInputSelector* Gst::InputSelector::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstInputSelector* Gst::InputSelector::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< Glib::RefPtr<Gst::Pad> > Gst::InputSelector::property_active_pad | ( |  | ) |

The currently active sink pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Pad> > Gst::InputSelector::property_active_pad | ( |  | ) | const

The currently active sink pad.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::InputSelector::property_n_pads | ( |  | ) | const

The number of sink pads.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::InputSelector::property_sync_streams | ( |  | ) |

Synchronize inactive streams to the running time of the active stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::InputSelector::property_sync_streams | ( |  | ) | const

Synchronize inactive streams to the running time of the active stream.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy0< gint64 > Gst::InputSelector::signal_block | ( |  | ) |

This is an action signal which is designed to be used as a method.

To do that, use its convenience method, block().

Slot Prototype:
  `gint64 on_my_block()`

Glib::SignalProxy3< void,const Glib::RefPtr<Gst::Pad>&,gint64,gint64 > Gst::InputSelector::signal_switch | ( |  | ) |

Slot Prototype:
  `void on_my_switch(const Glib::RefPtr<Gst::Pad>& arg0, gint64 arg1, gint64 arg2)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::InputSelector > wrap | ( | GstInputSelector * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/inputselector.h